PPPOB(1)

NAME
pppob - Barry Project's program to access the Blackberry modem for pppd

SYNOPSIS
pppob [-l filename][-p pin][-P password][-s][-v]

DESCRIPTION

pppob is a program suitable for use in pppd's pty option file. It talks to an available Blackberry and provides modem access on stdin and stdout.

OPTIONS

-l filename
    Causes verbose debug output from the -v switch to be written to filename instead of stderr.

-p pin
    PIN of device to talk with. Only needed if you have more than one Blackberry connected at once.

-P password
    Simplistic method to specify device password. In a real application, this would be done using a more secure prompt.

-s  Use Serial mode instead of the default IpModem mode. Older Blackberries used a serial mode based on a similar protocol to what database access uses for retrieving data. Each packet had a size and socket number prepended to the actual modem data. Newer Blackberries have dedicated USB endpoints that behave as read/write points, and do not bother with this size/socket format, and therefore transfer less data across the USB bus. By default, pppob tries to use IpModem mode if proper endpoints are detected, and otherwise falls back to Serial mode. This switch skips IpModem mode entirely and tries Serial mode immediately.

-v  Dump verbose protocol data to stderr during operation.

AUTHOR
pppob is part of the Barry project.

SEE ALSO

http://www.netdirect.ca/software/packages/barry